PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Protected Member Functions | List of all members
PServiceHTTPString Class Reference

`#include <httpsvc.h>`

Inheritance diagram for PServiceHTTPString:
[legend]
Collaboration diagram for PServiceHTTPString:
[legend]

## Public Member Functions
| PServiceHTTPString (const PURL &url, const PString &string)
| PServiceHTTPString (const PURL &url, const PHTTPAuthority &auth)
| PServiceHTTPString (const PURL &url, const PString &string, const PHTTPAuthority &auth)
| PServiceHTTPString (const PURL &url, const PString &string, const PString &contentType)
| PServiceHTTPString (const PURL &url, const PString &string, const PString &contentType, const PHTTPAuthority &auth)
PString | LoadText (PHTTPRequest &)
| Get a block of text data (eg HTML) that the resource contains. More...
Public Member Functions inherited from PHTTPString
| PHTTPString (const PURL &url)
| Contruct a new simple string resource for the HTTP space. More...
| PHTTPString (const PURL &url, const PHTTPAuthority &auth)
| PHTTPString (const PURL &url, const PString &str)
| PHTTPString (const PURL &url, const PString &str, const PString &contentType)
| PHTTPString (const PURL &url, const PString &str, const PHTTPAuthority &auth)
| PHTTPString (const PURL &url, const PString &str, const PString &contentType, const PHTTPAuthority &auth)
virtual PBoolean | LoadHeaders (PHTTPRequest &request)
| Get the headers for block of data (eg HTML) that the resource contains. More...
const PString & | GetString ()
| Get the string for this resource. More...
void | SetString (const PString &str)
| Set the string to be returned by this resource. More...
Public Member Functions inherited from PHTTPResource
virtual | ~PHTTPResource ()
const PURL & | GetURL () const
| Get the URL for this resource. More...
PString | GetHotLink () const
| Get relative hot link for this resouce. More...
const PString & | GetContentType () const
| Get the current content type for the resource. More...
PHTTPAuthority * | GetAuthority () const
| Get the current authority for the resource. More...
void | SetAuthority (const PHTTPAuthority &auth)
| Set the current authority for the resource. More...
void | ClearAuthority ()
| Set the current authority for the resource to unrestricted. More...
DWORD | GetHitCount () const
| Get the current hit count for the resource. More...
void | ClearHitCount ()
virtual PBoolean | OnGET (PHTTPServer &server, const PURL &url, const PMIMEInfo &info, const PHTTPConnectionInfo &conInfo)
| Handle the GET command passed from the HTTP socket. More...
virtual PBoolean | OnGETData (PHTTPServer &server, const PURL &url, const PHTTPConnectionInfo &connectInfo, PHTTPRequest &request)
| Send the data associated with a GET command. More...
virtual PBoolean | OnHEAD (PHTTPServer &server, const PURL &url, const PMIMEInfo &info, const PHTTPConnectionInfo &conInfo)
| Handle the HEAD command passed from the HTTP socket. More...
virtual PBoolean | OnPOST (PHTTPServer &server, const PURL &url, const PMIMEInfo &info, const PStringToString &data, const PHTTPConnectionInfo &conInfo)
| Handle the POST command passed from the HTTP socket. More...
virtual PBoolean | OnPOSTData (PHTTPRequest &request, const PStringToString &data)
| Send the data associated with a POST command. More...
virtual PBoolean | IsModifiedSince (const PTime &when)
| Check to see if the resource has been modified since the date specified. More...
virtual PHTTPRequest * | CreateRequest (const PURL &url, const PMIMEInfo &inMIME, const PMultiPartList &multipartFormInfo, PHTTPServer &socket)
| Create a new request block for this type of resource. More...
virtual void | SendData (PHTTPRequest &request)
| Send the data associated with a command. More...
virtual PBoolean | LoadData (PHTTPRequest &request, PCharArray &data)
| Get a block of data that the resource contains. More...
virtual void | OnLoadedText (PHTTPRequest &request, PString &text)
| This is called after the text has been loaded and may be used to customise or otherwise mangle a loaded piece of text. More...
virtual PBoolean | Post (PHTTPRequest &request, const PStringToString &data, PHTML &replyMessage)
| Get a block of data (eg HTML) that the resource contains. More...
Public Member Functions inherited from PObject
unsigned | GetTraceContextIdentifier () const
| Get PTRACE context identifier. More...
void | SetTraceContextIdentifier (unsigned id)
void | GetTraceContextIdentifier (PObject &obj)
void | GetTraceContextIdentifier (PObject *obj)
void | SetTraceContextIdentifier (const PObject &obj)
void | SetTraceContextIdentifier (const PObject *obj)
virtual | ~PObject ()
virtual PObject * | Clone () const
| Create a copy of the class on the heap. More...
template<class CLS >
CLS * | CloneAs () const
| As for Clone() but converts to specified type. More...
virtual PINDEX | HashFunction () const
| This function yields a hash value required by the `PDictionary` class. More...
virtual const char * | GetClass (unsigned ancestor=0) const
| Get the current dynamic type of the object instance. More...
PBoolean | IsClass (const char *cls) const
virtual PBoolean | InternalIsDescendant (const char *clsName) const
| Determine if the dynamic type of the current instance is a descendent of the specified class. More...
__inline const PObject * | PTraceObjectInstance () const
virtual Comparison | Compare (const PObject &obj) const
| Compare the two objects and return their relative rank. More...
virtual Comparison | CompareObjectMemoryDirect (const PObject &obj) const
| Determine the byte wise comparison of two objects. More...
bool | operator== (const PObject &obj) const
| Compare the two objects. More...
bool | operator!= (const PObject &obj) const
| Compare the two objects. More...
bool | operator< (const PObject &obj) const
| Compare the two objects. More...
bool | operator> (const PObject &obj) const
| Compare the two objects. More...
bool | operator<= (const PObject &obj) const
| Compare the two objects. More...
bool | operator>= (const PObject &obj) const
| Compare the two objects. More...
virtual void | PrintOn (ostream &strm) const
| Output the contents of the object to the stream. More...
virtual void | ReadFrom (istream &strm)
| Input the contents of the object from the stream. More...

## Protected Member Functions
virtual PBoolean | GetExpirationDate (PTime &when)
| Get a block of data (eg HTML) that the resource contains. More...

## Additional Inherited Members
Public Types inherited from PObject
enum | Comparison { LessThan = -1, EqualTo = 0, GreaterThan = 1 }
| Result of the comparison operation performed by the `Compare()` function. More...
Static Public Member Functions inherited from PObject
static const char * | Class ()
| Get the name of the class as a C string. More...
static __inline const PObject * | PTraceObjectInstance (const char *)
static __inline const PObject * | PTraceObjectInstance (const PObject *obj)
static Comparison | InternalCompareObjectMemoryDirect (const PObject *obj1, const PObject *obj2, PINDEX size)
| Internal function caled from CompareObjectMemoryDirect() More...
Static Protected Member Functions inherited from PHTTPResource
static PBoolean | CheckAuthority (PHTTPAuthority &authority, PHTTPServer &server, const PHTTPRequest &request, const PHTTPConnectionInfo &connectInfo)
Protected Attributes inherited from PHTTPString
PString | string
Friends inherited from PObject

## Constructor & Destructor Documentation

PServiceHTTPString::PServiceHTTPString | ( | const PURL & | url,
|  | const PString & | string
| ) |  |
| inline

PServiceHTTPString::PServiceHTTPString | ( | const PURL & | url,
|  | const PHTTPAuthority & | auth
| ) |  |
| inline

PServiceHTTPString::PServiceHTTPString | ( | const PURL & | url,
|  | const PString & | string,
|  | const PHTTPAuthority & | auth
| ) |  |
| inline

PServiceHTTPString::PServiceHTTPString | ( | const PURL & | url,
|  | const PString & | string,
|  | const PString & | contentType
| ) |  |
| inline

PServiceHTTPString::PServiceHTTPString | ( | const PURL & | url,
|  | const PString & | string,
|  | const PString & | contentType,
|  | const PHTTPAuthority & | auth
| ) |  |
| inline

## Member Function Documentation

virtual PBoolean PServiceHTTPString::GetExpirationDate | ( | PTime & | when | ) |
| protected virtual

Get a block of data (eg HTML) that the resource contains.

Returns
  Status of load operation.

Parameters

  when | Time that the resource expires

Reimplemented from PHTTPResource.

PString PServiceHTTPString::LoadText | ( | PHTTPRequest & | request | ) |
| virtual

Get a block of text data (eg HTML) that the resource contains.

The default behaviour is to assert, one of `LoadText()` or `LoadData()` functions must be overridden for correct operation.

Returns
  String for loaded text.

Reimplemented from PHTTPString.

The documentation for this class was generated from the following file:

- httpsvc.h